aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/make-boot-splash-raw
diff options
context:
space:
mode:
authorColin Guthrie <colin@mageia.org>2012-04-14 14:56:00 +0000
committerColin Guthrie <colin@mageia.org>2012-04-14 14:56:00 +0000
commit226ab5b3d5f722307af9164eb6cc9bbf23790645 (patch)
tree6cde91f8f5df979ccd9bd6ca67ae1ddd618a1c6a /scripts/make-boot-splash-raw
parent42060370947f216409c8dfad5ac90ba5fbd9fdd4 (diff)
downloadbootsplash-226ab5b3d5f722307af9164eb6cc9bbf23790645.tar
bootsplash-226ab5b3d5f722307af9164eb6cc9bbf23790645.tar.gz
bootsplash-226ab5b3d5f722307af9164eb6cc9bbf23790645.tar.bz2
bootsplash-226ab5b3d5f722307af9164eb6cc9bbf23790645.tar.xz
bootsplash-226ab5b3d5f722307af9164eb6cc9bbf23790645.zip
Do not pass theme in when calling make-boot-splash-raw.
This reverts and earlier commit that used it explicitly, however this approach is more error prone. The default theme is set in make-boot-splash, and thus it will be used when calling via this route. Error checking is done at this higher level and thus if an invalid theme is passed in the old theme will still be default and we will properly regenerate initrd. Clarify that the theme argument should not be passed in the help output.
Diffstat (limited to 'scripts/make-boot-splash-raw')
-rwxr-xr-xscripts/make-boot-splash-raw7
1 files changed, 3 insertions, 4 deletions
diff --git a/scripts/make-boot-splash-raw b/scripts/make-boot-splash-raw
index 4eca50f..74a65eb 100755
--- a/scripts/make-boot-splash-raw
+++ b/scripts/make-boot-splash-raw
@@ -7,10 +7,9 @@
: ${splash_dir=/usr/share/bootsplash}
-[ $# = 2 ] || { echo "usage: $0 <initrd> <theme>"; exit 1; }
+[ $# = 1 -o $# = 2 ] || { echo "usage: $0 <initrd>"; exit 1; }
initrd_file=$1
-THEME=$2
tmp_dir=
tmp_initrd=
@@ -54,7 +53,7 @@ if [ -n "$CPIO" ]; then
# If the theme has changed, we should remove the old one first to save space
rm -rf $tmp_dir/plymouth/usr/share/plymouth/themes
- PLYMOUTH_THEME_NAME=$THEME /usr/libexec/plymouth/plymouth-populate-initrd -t . || clean_and_fail
+ /usr/libexec/plymouth/plymouth-populate-initrd -t . || clean_and_fail
find . | \
cpio -R 0:0 -H newc -o --quiet | \
@@ -71,7 +70,7 @@ else
gzip -dc $initrd_file > $tmp_initrd 2> /dev/null || clean_and_fail
mount -o loop $tmp_initrd $tmp_dir 2> /dev/null || clean_and_fail
rm -rf $tmp_dir/usr/share/plymouth $tmp_dir/usr/lib*/plymouth
- PLYMOUTH_THEME_NAME=$THEME /usr/libexec/plymouth/plymouth-populate-initrd -t $tmp_dir
+ /usr/libexec/plymouth/plymouth-populate-initrd -t $tmp_dir
rc=$?
umount $tmp_dir 2>/dev/null
[ $rc -ne 0 ] && clean_and_fail